Subject: Re: t9200-git-cvsexportcommit.sh failed on CYGWIN

From: SungHyun Nam <[email-masked]>
Date: Fri, 29 Dec 2006 08:42:19 +0900

Jakub Narebski wrote:
> [Cc: [email-masked]]
> 
> SungHyun Nam wrote:
> 
>> Below is the test messages.
>>
>> BTW, I hope I can define 'NO_CVS_TESTS' to skip this test.
> [...]
>> *   ok 7: Update file with spaces in file name
>> * FAIL 8: File with non-ascii file name
>>         mkdir -p
> 
> What filesystem? Some filesystems are just broken...

NTFS (no FAT32 here).

Anyway, I test it step by step manually, and then...

$ cd tmp; mkdir t; cd t
$ ls -l
total 0
$ mkdir -p Å/goo
mkdir: cannot create directory `Å/goo': No such file or directory
$ ls -l
total 0
$ mkdir Å
mkdir: cannot create directory `Å': File exists
$ ls -l
total 0

I can create directory which contains Hangul (multibyte) characters.

$ mkdir ko_한글_lang
$ ls -l
total 0
drwxr-xr-x+ 2 namsh staff 0 Dec 29 08:41 ko_한글_lang/

Does it depend on Windows version? I use Korean version of Windows Home
Edition. I also test it with 'CYGWIN=codepage:ansi' without luck.

Thanks,
namsh